@import "woods_edge-fonts.css";

:root { /* Global variables */
  --serif-font: "EB Garamond", Georgia, serif;
  --sans-font: 'VenturisSans ADF', Verdana, sans-serif;
  --sans-font-tables: Arial, sans-serif;
  --title-font: 'Venturis ADF Goth Titling', Verdana, sans-serif; 
  --symbol-font: 'Linux Libertine O', Georgia, serif;
  --music-font: 'Bravura Text', Georgia, serif;
  --textwidth-default: 90vw;
  --textwidth-max: 40em;
  --height-iframe-rel-textwidth-default: calc(var(--textwidth-default)/1.7777778);
  --height-iframe-rel-textwidth-max: calc(var(--textwidth-max)/1.7777778);
  --color-wampum-purple-light: #e6ccff;
  --color-wampum-purple-dark: #58267b;
  --inline-music-height: 1.5em;
}



html {
  height: 100%;
  width: 100%;
}

body {
  margin: 0;
  padding: 0;
  width: var(--textwidth-default);
  max-width: var(--textwidth-max);
  margin-left: auto;
  margin-right: auto;
  font-family: var(--serif-font);
/*  font-size: 125%; */
}

/* Header */
header {
  height: 360px;
  margin-bottom: 1.5em;
}

header h1 {
  margin-top: 0.5em;
  margin-bottom: 0.25em;
}

header h2 {
  margin-top: 0;
}

header h1.title-site {
  font-size: 200%;
}

header h1.title-page {
  font-size: 180%;
}

header h2.author {
  font-weight: normal;
  font-size: 140%;
  font-family: var(--sans-font);
}

header img.cover {
  opacity: 0.4;
  position: absolute;
  top: 0;
  left: 0;
  height: 360px;
  width: 100%;
  object-fit: cover;
  object-position: 50%;
  z-index: -1;
}


/* Navigation links */
header nav {
  max-width: var(--textwidth-max);
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 1em;
  margin-top: auto;
  text-align: right;
  font-family: var(--sans-font);
}
header nav ul {
  list-style: none;
}
header nav ul li {
  padding-bottom: 0.25em;
}


h1, h2, h3 {
  font-family: var(--title-font);
}

h3 {
  font-family: var(--sans-font);
}

h1 {
  font-size: 170%;
}

h2 {
  font-size: 150%;
}

h3 {
  font-size: 120%;
}

h4 {
  font-size: 110%;
}
 
h5 {
  font-size: 100%;
}


main {
  line-height: 1.5em;
}

section.chapter {
  clear: both;
}

p {
  text-align: justify;
  hyphens: auto;
  margin-top: 0;
  margin-bottom: 0;
  text-indent: 2em;
}

h1 + p, h2 + p, h3 + p, h4 + p, h5 + p, h6 + p {
  text-indent: 0;
}

p.continue {
  text-indent: 0;
}
figure {
  padding-top: 1em;
  padding-bottom: 1em;
  margin: 0;
  clear: both;
}

figure iframe:not(.manual-size) {
  width: var(--textwidth-default);
  max-width: var(--textwidth-max);
  height: var(--height-iframe-rel-textwidth-default);
  max-height: var(--height-iframe-rel-textwidth-max);
}

iframe.manual-size {};

figure.music {
  width: 100%;
}

figure video { 
  width: 100%;
}

figure img {
  width: 100%;
}

img[data-width='narrow'] {
  width: 30%;
}

img.inline {
  height: var(--inline-music-height);
  vertical-align: middle;
  padding-right: 0.5ch;
}

img.inline[data-scale="2"] {
  height: calc(var(--inline-music-height)*2);
}

img.inline[data-scale="3"] {
  height: calc(var(--inline-music-height)*3);
}

figure.diagram {
  float: right;
  max-width: var(--textwidth-default);
  margin-left: 1em;
}

figCaption {
  font-size: 90%;
  font-style: italic;
}

blockquote {
  background: var(--color-wampum-purple-light);
  padding: 1em;
}

blockquote p {
}

blockquote strong.callout {
  display: block;
  font-size: 160%;
  padding: 0.4em;
  text-align: left;
  hyphens: none;
}

ul.biblio {
  list-style: none;
  line-height: 1.5em;
  text-indent: -2em;
  padding-left: 2em;
}

ul.biblio li {
  margin-bottom: 1ex;
}

cite {
  font-style: italic;
}

q {
  quotes : "“" "”" "‘" "’"
}

strong.alert, strong.TODO {
  color: red;
  border: 1px solid red;
}

/* LINKS */
a {
  color: darkgreen;
  text-decoration: underline;
  text-decoration-color: LightGray;
}

a.citation {
  color: black;
}

a.citation:hover {
  background: LightGray;
}


header nav a {
  color: DarkSlateGray;
  font-weight: bold;
  text-decoration: none;
}

/* TABLES */
table {
  line-height: 1em;
  float: right;
  border: 1px black solid;
  margin-left: 1.5em;
  margin-top: 1em;
  margin-bottom: 1em;
  font-family: var(--sans-font);
  font-size: 80%;
  background-color: LightGray;
  clear: both;
  border-collapse: collapse;
}
table caption, figure figCaption {
  font-family: var(--sans-font);
}

table table.simple {
  float: none;
  border-top: 0;
  border-bottom: 0;
  border-left: 0;
  border-right: 0;
  font-size: 100%;
}

table td {
  vertical-align: baseline;
}

table tr.line-above td, 
table tr.line-above th {
  padding-top: 1ex;
  border-top: 1px solid black;
}

table.inline {
  float: none;
  display: block; 
  width: fit-content;
  margin-left: auto;
  margin-right: auto;
  border-top: 1px black solid;
  border-bottom: 1px black solid;
  border-left: none;
  border-right: none;
  background: none;
}


table th, table td {
  padding-left: 1ex;
  padding-right: 1ex;
  padding-bottom: 1ex;
}

td.l, td.X, td.S { 
  text-align: left;
}

td.r {
  text-align: right;
}

td.c {
  text-align: center;
}


table.pitch_matrix {
  width: 22em;
  max-width: 100vw;
  table-layout: fixed;
  border-collapse: separate;
}

table.pitch_matrix td.pitch_false {
  background: darkgray;
}

table.pitch_matrix td.pitch_true {
  background: var(--color-wampum-purple-dark);
  color: var(--color-wampum-purple-dark);
}

table.pitch_matrix caption {
  font-style: italic;
}

table.pitch_matrix th {
  font-weight: normal;
  font-family: var(--sans-font-tables);
  font-size: 80%;
}

table.pitch_matrix th.pitch-head {
  position: relative;
  right: 1em;
}

table.pitch_matrix tr.pitch-number-head th {
  position: relative;
  top: 0.5em;
}

table.pitch_matrix th.song-head {
  position: relative;
  top: -0.5em;
  right: -0.5em;
  transform: rotate(90deg);
}

table.pitch_matrix th[scope='row'] {
  text-align: right;
}

caption {
  font-style: italic;
  padding-bottom: 1ex;
}

caption em, caption cite, figCaption em, figCaption cite {
  font-style: normal;
}

span.scale-degree{
}

span.scale-degree span.hat {
  position: relative;
  left: 0.4em;
}

span.scale-degree span.degree {
}


/* FOOTER */
footer {
  color: DimGray;
  font-size: 80%;
  margin-top: 3em;
  margin-bottom: 1em;
  clear: both;
}

footer p {
  text-indent: 0;
  margin-bottom: 0.2em;
}

footer p.copyright {
  margin-top: 2em;
  text-align: center;
}

footer a {
  color: dimgray;
}

/* Table of contents */
section.toc {
  font-family: var(--sans-font);
  font-size: 75%;
  line-height: 1em;
  float: right;
  clear: right;
  width: 16em;
  padding-left: 1em;
  margin-left: 1.5em;
  border-left: 10px solid gray;
  background-color: gainsboro;
  margin-bottom: 1em;
}

section.toc ul { 
  list-style: none;
  padding-left: 1em;
}

section.toc ul li {
  text-indent: -1em;
  padding-top: 1ex;
}

/* Dialogue */

/*
blockquote.dialogue {
  margin-left: 1em;
  margin-right: 1em;
  margin-bottom: 1em;
  padding: 1em;
  background: var(--color-wampum-purple-light);
}
*/

blockquote.dialogue p {
  text-indent: 0;
  margin-bottom: 1ex;
}

blockquote.dialogue span.speaker {
  text-transform: uppercase;
}

table tr.two-row {
  display: table;
  margin: 1ex;
}

table tr.two-row td {
  display: table-row;
}

td span {
  display: table-cell;
}

td span + span {
  padding-left: 1em;
}

td.seneca span {
  font-weight: bold;
}

/* Special characters */
span.ipa, span.symbol {
  font-family: var(--symbol-font);
  font-size: 120%;
}

math, span.math {
  font-family: var(--serif-font), var(--symbol-font);
}

span.music {
  font-family: var(--music-font);
  font-size: 85%;
  padding-left: 0.1em;
}

sub, span.scale-degree {
  line-height: 100%;
}

/* Editing */
span.TODO {
  background: yellow;
}

span.TODO span.tooltip {
  float: right;
  width: 8em;
  margin-right: -10em;
  line-height: 1.1em;
  border: 2px solid black;
  text-indent: 0;
  text-align: left;
  padding: 2pt;
  background-color: orange;
  font-size: 80%;
}

/* Wide screen */
@media only screen and (min-width: 1200px) {
  body {
    width: 95vw;
    max-width: 95vw;
  }
  body p {
    width: 45vw;
    margin: 0;
    padding: 0;
  }
  footer p, body ol, body ul {
    width: 43vw;
  }
  figure, table {
    float: right;
  }

  figure, figure iframe, figure video, figure img {
    max-width: 45vw;
  }
  blockquote {
    width: 40vw;
    max-width: 40vw;
    margin-left: 1em;
    margin-top: 1em;
    margin-bottom: 1em;
    padding-left: 1em;
  }
  blockquote p, div.dialogue p {
    width: 40vw;
    max-width: 40vw;
  }
  section.toc {
    width: 30em;
  }
/* 
  article > section {
   clear: right;
  }
  */
  section[id="bibliography"] { 
    clear: right; 
  }
}


